namespace efl { 
inline ::efl::eolian::return_traits<bool>::type Config::config_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type name,  ::efl::eolian::in_traits< ::efl::eina::value_view const&>::type val) const
{
   Eina_Bool __return_value =  ::efl_config_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(name)
      ,  ::efl::eolian::convert_to_c<const Eina_Value *,  ::efl::eolian::in_traits< ::efl::eina::value_view const&>::type>(val));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::eina::value>::type Config::config_get( ::efl::eolian::in_traits< ::efl::eina::string_view>::type name) const
{
   Eina_Value * __return_value =  ::efl_config_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(name));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::value>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::eina::iterator< ::efl::eina::value_view const&>>::type Config::config_list_get( ::efl::eolian::in_traits< ::efl::eina::string_view>::type name) const
{
   Eina_Iterator * __return_value =  ::efl_config_list_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(name));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::iterator< ::efl::eina::value_view const&>>::type>(__return_value);
}
} 
namespace eo_cxx {
namespace efl { 
inline ::efl::eolian::return_traits<bool>::type Config::config_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type name,  ::efl::eolian::in_traits< ::efl::eina::value_view const&>::type val) const
{
   Eina_Bool __return_value =  ::efl_config_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(name)
      ,  ::efl::eolian::convert_to_c<const Eina_Value *,  ::efl::eolian::in_traits< ::efl::eina::value_view const&>::type>(val));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::eina::value>::type Config::config_get( ::efl::eolian::in_traits< ::efl::eina::string_view>::type name) const
{
   Eina_Value * __return_value =  ::efl_config_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(name));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::value>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::eina::iterator< ::efl::eina::value_view const&>>::type Config::config_list_get( ::efl::eolian::in_traits< ::efl::eina::string_view>::type name) const
{
   Eina_Iterator * __return_value =  ::efl_config_list_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(name));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::iterator< ::efl::eina::value_view const&>>::type>(__return_value);
}
inline efl::Config::operator ::efl::Config() const { return *static_cast< ::efl::Config const*>(static_cast<void const*>(this)); }
inline efl::Config::operator ::efl::Config&() { return *static_cast< ::efl::Config*>(static_cast<void*>(this)); }
inline efl::Config::operator ::efl::Config const&() const { return *static_cast< ::efl::Config const*>(static_cast<void const*>(this)); }
} }

